Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275045 - python-smbc broken for python3
Summary: python-smbc broken for python3
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-smbc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-25 12:11 UTC by David Nečas
Modified: 2016-07-19 18:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:20:06 UTC
Type: Bug


Attachments (Terms of Use)

Description David Nečas 2015-10-25 12:11:16 UTC
Description of problem:
The Python smbc module in python3-smbc package cannot be loaded due to missing symbols.


Version-Release number of selected component (if applicable):
python-smbc-1.0.13-11.fc22


How reproducible:
Always.


Steps to Reproduce:
1. python3
2. import smbc


Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: /usr/lib64/python3.4/site-packages/smbc.cpython-34m.so: undefined symbol: PyInt_AsLong


Expected results:
The module is imported.


Additional info:
This breaks the ‘Browse’ button in Add Printer dialogue of system-config-printer.

Recompiling the src rpm shows that there are bunch of warnings for missing declarations (among other things) such as

context.c: In function ‘Context_setTimeout’:
context.c:641:8: warning: implicit declaration of function ‘PyInt_Check’ [-Wimplicit-function-declaration]
   if (!PyInt_Check (value))
        ^
context.c:647:35: warning: implicit declaration of function ‘PyInt_AsLong’ [-Wimplicit-function-declaration]
   smbc_setTimeout (self->context, PyInt_AsLong (value));

Apparently the package is not actually python3-ready and would not compile with -Werror-implicit-function-declaration.

Comment 1 Jiri Popelka 2015-10-26 11:45:06 UTC
I can reproduce that with 1.0.13 but not with 1.0.15.

Tim, do you think I can merge master/rawhide (1.0.15) into at lease f23 (still 1.0.13 atm) ?

Comment 2 Tim Waugh 2015-10-27 16:29:31 UTC
Yes, I think that's safe.

Comment 3 Fedora Update System 2015-10-27 16:53:16 UTC
python-smbc-1.0.15.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4e52f9df04

Comment 4 Fedora Update System 2015-10-31 15:53:01 UTC
python-smbc-1.0.15.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-smbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4e52f9df04

Comment 5 Fedora Update System 2015-11-09 21:53:43 UTC
python-smbc-1.0.15.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora End Of Life 2016-07-19 18:20:06 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.